Bug 1023333 - [abrt] dbus-1.6.12-1.fc19: _dbus_abort: Process /usr/bin/dbus-send was killed by signal 6 (SIGABRT)
[abrt] dbus-1.6.12-1.fc19: _dbus_abort: Process /usr/bin/dbus-send was killed...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: dbus (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Colin Walters
Fedora Extras Quality Assurance
abrt_hash:76a7f7dc44dc574dda1df89d14c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-25 04:26 EDT by Tim Ricketts
Modified: 2015-02-17 12:48 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:48:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (6.75 KB, text/plain)
2013-10-25 04:26 EDT, Tim Ricketts
no flags Details
File: cgroup (141 bytes, text/plain)
2013-10-25 04:26 EDT, Tim Ricketts
no flags Details
File: core_backtrace (2.18 KB, text/plain)
2013-10-25 04:26 EDT, Tim Ricketts
no flags Details
File: dso_list (483 bytes, text/plain)
2013-10-25 04:26 EDT, Tim Ricketts
no flags Details
File: environ (3.78 KB, text/plain)
2013-10-25 04:26 EDT, Tim Ricketts
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-25 04:26 EDT, Tim Ricketts
no flags Details
File: maps (2.67 KB, text/plain)
2013-10-25 04:26 EDT, Tim Ricketts
no flags Details
File: open_fds (147 bytes, text/plain)
2013-10-25 04:26 EDT, Tim Ricketts
no flags Details
File: proc_pid_status (931 bytes, text/plain)
2013-10-25 04:26 EDT, Tim Ricketts
no flags Details

  None (edit)
Description Tim Ricketts 2013-10-25 04:26:13 EDT
Description of problem:
I ran the following command:

dbus-send --session --dest=org.freedesktop.ScreenSaver --type=method_call --print-reply --reply-timeout=20000 /ScreenSaver org.free

Obviously, I'd intended there to me more to it, but hit return by mistake.

It said:

process 18785: arguments to dbus_message_new_method_call() were incorrect, assertion "interface == NULL || _dbus_check_is_valid_interface (interface)" failed in file dbus-message.c line 1268.
This is normally a bug in some application using the D-Bus library.
  D-Bus not built with -rdynamic so unable to print a backtrace
Aborted (core dumped)

Version-Release number of selected component:
dbus-1.6.12-1.fc19

Additional info:
reporter:       libreport-2.1.8
backtrace_rating: 4
cmdline:        dbus-send --session --dest=org.freedesktop.ScreenSaver --type=method_call --print-reply --reply-timeout=20000 /ScreenSaver org free
crash_function: _dbus_abort
executable:     /usr/bin/dbus-send
kernel:         3.11.4-201.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000
var_log_messages: Oct 25 09:12:51 falcon abrt[18786]: Saved core dump of pid 18785 (/usr/bin/dbus-send) to /var/tmp/abrt/ccpp-2013-10-25-09:12:51-18785 (442368 bytes)

Truncated backtrace:
Thread no. 1 (3 frames)
 #2 _dbus_abort at dbus-sysdeps.c:94
 #3 _dbus_warn_check_failed at dbus-internals.c:290
 #4 dbus_message_new_method_call at dbus-message.c:1263

Potential duplicate: bug 968851
Comment 1 Tim Ricketts 2013-10-25 04:26:17 EDT
Created attachment 816044 [details]
File: backtrace
Comment 2 Tim Ricketts 2013-10-25 04:26:21 EDT
Created attachment 816045 [details]
File: cgroup
Comment 3 Tim Ricketts 2013-10-25 04:26:24 EDT
Created attachment 816046 [details]
File: core_backtrace
Comment 4 Tim Ricketts 2013-10-25 04:26:27 EDT
Created attachment 816047 [details]
File: dso_list
Comment 5 Tim Ricketts 2013-10-25 04:26:29 EDT
Created attachment 816048 [details]
File: environ
Comment 6 Tim Ricketts 2013-10-25 04:26:33 EDT
Created attachment 816049 [details]
File: limits
Comment 7 Tim Ricketts 2013-10-25 04:26:36 EDT
Created attachment 816050 [details]
File: maps
Comment 8 Tim Ricketts 2013-10-25 04:26:38 EDT
Created attachment 816051 [details]
File: open_fds
Comment 9 Tim Ricketts 2013-10-25 04:26:41 EDT
Created attachment 816052 [details]
File: proc_pid_status
Comment 10 Fedora End Of Life 2015-01-09 15:21:36 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2015-02-17 12:48:24 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.